Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

use Perl Log In

Log In

[ Create a new account ]

jk2addict (4946)

jk2addict
  (email not shown publicly)
http://today.icantfocus.com/blog/
AOL IM: chrislaco (Add Buddy, Send Message)
Yahoo! ID: chrislaco@sbcglobal.net (Add User, Send Message)
Jabber: laco@scribblewerks.com

Journal of jk2addict (4946)

Tuesday January 02, 2007
02:55 PM

Love/Hate Relationship with CPAN Testers

[ #32048 ]
I love CPAN Testers. Someone has to do it. I hate broken CPAN Tester libraries (Updated). They render false positives for no good reason. For example...this report... These events don't jive:

[ERROR] [Fri Dec 22 08:47:44 2006] This distribution depends on Handel, but the latest version of Handel on CPAN (0.33) doesn't satisfy the specific version dependency (1.0). You may have to resolve this dependency manually.

Then later:

[MSG] [Fri Dec 22 08:47:48 2006] Ok, not sending test report
[ERROR] [Fri Dec 22 08:47:48 2006] This distribution depends on Handel, but the latest version of Handel on CPAN (0.33) doesn't satisfy the specific version dependency (1.0). You may have to resolve this dependency manually.
[MSG] [Fri Dec 22 08:47:48 2006] Trying to get 'http://www.cpan.org/authors/id/C/CL/CLACO/CHECKSUMS'
[MSG] [Fri Dec 22 08:47:49 2006] Checksum matches for 'Handel-0.33.tar.gz'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/Changes'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/demo/'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/demo/axkit/'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/demo/axkit/cart.xsp'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/demo/axkit/httpd.conf.include'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/demo/axkit/includes/'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/demo/axkit/includes/footer.xml'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/demo/axkit/includes/menu.xml'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/demo/axkit/index.xsp'
[MSG] [Fri Dec 22 08:47:50 2006] Extracted 'Handel-0.33/demo/axkit/products.xsp'

Sigh. If the prereq is 1.0, and there is no 1.0, why in the fsck is it trying to use 0.33? Just bail damnit. Don't go on installing a version that is fails the prereq version check. Same deal for this:

[ERROR] [Fri Dec 22 08:47:44 2006] This distribution depends on Rose::DB, but the latest version of Rose::DB on CPAN (0.731) doesn't satisfy the specific version dependency (0.732). You may have to resolve this dependency manually.
[MSG] [Fri Dec 22 08:47:44 2006] Module 'Handel::Storage::RDBO' requires 'Rose::DB' version '0.732' to be installed

Yet, it continues to install a lesser version. Heavy sigh. I wish there were a way to nuke these kinds of things from CPAN Testers all together.

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • To some degree this is problems with CPAN's recursion logic rather than CPAN Testers as such.

    Of course, another problem is that you can't simply require every single tester to upgrade, because we miss testing cases.
  • I can't tell that CPAN testers works because I never get carbon copied on failures. It's spiffy that failures get sent to an email list and there's an RSS feed but those don't really work. I'd have to subscribe to the email list to get them in my inbox and I find my RSS reader in firefox resets its idea of what's new after I clear its cache.

    So... as far as I can tell the thing plain old isn't useful. It's kind of annoying, I wish it worked but it never seems to get there.
  • I have no control over what CPANPLUS is doing!